#include <stdio.h>
#include <stdlib.h>

#include "f2c.h"

 int main(void)
{
    /* Local variables */
    extern int f_c();
    static double h__;
    static int i__, j, m;
    static double y, h0;
    static int k0;
    static double ay[5], dy, xk, xn, yn;
    static int nx;
    static double xs[2], yt;
    static int kp1, kp2, kp3;
    static double rab[47], ady[4], dyn, dyt, ad2y[3];
    extern int de88d_c( );
    static double dely;
    static int imax;
    static double deldy;
    static int iordy, iniapr;
    int i__1, i__2;

    m = 1;
    xn = 1.;
    yn = 171.;
    dyn = 626.;
    iordy = 2;
    h0 = -1.;
    xk = 0.;
    yt = 1.;
    dyt = 2.;
    k0 = 2;
    imax = 1;
    iniapr = 1;
    h__ = h0;

    de88d_c((U_fp)f_c, &m, &xn, &yn, &dyn, &xk, &k0, &iniapr, &imax, &iordy,
            &h__, &y, &dy, &nx, xs, ay, ady, ad2y, rab);

    dely = yt - y;
    deldy = dyt - dy;

    printf("\n ------------------------------------------------------------\n");
    printf("\n nx=%3i  xs=\n", nx);
    printf("\n %21.14e %21.14e\n\n", xs[0], xs[1]);

    printf("\n h0=%21.14e k0=%3i iniapr= %1i imax=%3i iordy=%1i \n\n",h0,k0,iniapr,imax, iordy);

    printf("\n y= %21.14e\n",y);
    printf("\n yt=%21.14e\n",yt);
    printf("\n dely= %23.14e \n\n", dely);

    printf("\n dy= %21.14e\n",dy);
    printf("\n dyt= %21.14e\n",dyt);
    printf("\n deldy= %23.14e \n", deldy);

    kp1 = 3;
    kp2 = 4;
    kp3 = 5;

	for (i__ = 1; i__ <= nx; ++i__) {
    printf("\n\n                    COEFFICIENTS AY, ADY AND AD2Y ON %3i SEGMENT \n", i__);
    printf("\n                            Chebyshev coefficients \n");
    printf("\n              for Y                   for  Y'                for Y'' \n");

    i__1 = kp1;
    for (j = 1; j <= i__1; ++j) {
	i__2 = j - 1;

         printf("\n %3i %23.14e %23.14e %23.14e", i__2, ay[j - 1],
               ady[j - 1], ad2y[j - 1]);
		}
         printf("\n %3i %23.14e %23.14e \n %3i %23.14e", kp1, ay[kp2  - 1],
                ady[kp2 - 1],  kp2, ay[kp3 - 1] );
	    }
    printf("\n");

    return 0;
} /* main */


 int f_c(double *x, double *y, double *dy,
	double *z__, int *m)
{
    *z__ = 1536. * (*x) * (*x )+ (*x )* 192. + 16.;
    return 0;
} /* f_c */
